package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmAttWorkGroupShiftForm extends HrmBaseForm {
  String workGroupDescription;
  
  String siteCode;
  
  String siteDescription;
  
  String disabsiteCode;
  
  String disabsiteDescription;
  
  String disabworkGroupDescription;
  
  String butWrkGrpCode;
  
  String disabbutWrkGrpCode;
  
  String butSiteCode;
  
  String disabbutSiteCode;
  
  String startDate;
  
  String disabstartDate;
  
  String endDate;
  
  String disabendDate;
  
  ArrayList arrHrmAttWrkGrpShift = new ArrayList();
  
  String selectAll;
  
  String[] shiftBeginDate;
  
  String disabshiftBeginDate;
  
  String[] shiftEndDate;
  
  String disabshiftEndDate;
  
  String[] shiftCode;
  
  String disabshiftCode;
  
  String workGroupId;
  
  String siteId;
  
  String disabwrkGrpCode;
  
  String butshiftBeginDate;
  
  String disabbutshiftBeginDate;
  
  String butshiftEndDate;
  
  String disabbutshiftEndDate;
  
  String butstartDate;
  
  String disabbutstartDate;
  
  String butendDate;
  
  String disabbutendDate;
  
  String diasbbutstartDate;
  
  String[] shiftId;
  
  String disabbutshiftCode;
  
  String workGroupCode;
  
  String butshiftCode;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getWorkGroupDescription() {
    return this.workGroupDescription;
  }
  
  public void setWorkGroupDescription(String newWorkGroupDescription) {
    this.workGroupDescription = newWorkGroupDescription;
  }
  
  public String getSiteCode() {
    return this.siteCode;
  }
  
  public void setSiteCode(String newSiteCode) {
    this.siteCode = newSiteCode;
  }
  
  public String getSiteDescription() {
    return this.siteDescription;
  }
  
  public void setSiteDescription(String newSiteDescription) {
    this.siteDescription = newSiteDescription;
  }
  
  public String getDisabsiteCode() {
    return this.disabsiteCode;
  }
  
  public void setDisabsiteCode(String newDisabsiteCode) {
    this.disabsiteCode = newDisabsiteCode;
  }
  
  public String getDisabsiteDescription() {
    return this.disabsiteDescription;
  }
  
  public void setDisabsiteDescription(String newDisabsiteDescription) {
    this.disabsiteDescription = newDisabsiteDescription;
  }
  
  public String getDisabworkGroupDescription() {
    return this.disabworkGroupDescription;
  }
  
  public void setDisabworkGroupDescription(String newDisabworkGroupDescription) {
    this.disabworkGroupDescription = newDisabworkGroupDescription;
  }
  
  public String getButWrkGrpCode() {
    return this.butWrkGrpCode;
  }
  
  public void setButWrkGrpCode(String newButWrkGrpCode) {
    this.butWrkGrpCode = newButWrkGrpCode;
  }
  
  public String getDisabbutWrkGrpCode() {
    return this.disabbutWrkGrpCode;
  }
  
  public void setDisabbutWrkGrpCode(String newDisabbutWrkGrpCode) {
    this.disabbutWrkGrpCode = newDisabbutWrkGrpCode;
  }
  
  public String getButSiteCode() {
    return this.butSiteCode;
  }
  
  public void setButSiteCode(String newButSiteCode) {
    this.butSiteCode = newButSiteCode;
  }
  
  public String getDisabbutSiteCode() {
    return this.disabbutSiteCode;
  }
  
  public void setDisabbutSiteCode(String newDisabbutSiteCode) {
    this.disabbutSiteCode = newDisabbutSiteCode;
  }
  
  public String getStartDate() {
    return this.startDate;
  }
  
  public void setStartDate(String newStartDate) {
    this.startDate = newStartDate;
  }
  
  public String getDisabstartDate() {
    return this.disabstartDate;
  }
  
  public void setDisabstartDate(String newDisabstartDate) {
    this.disabstartDate = newDisabstartDate;
  }
  
  public String getEndDate() {
    return this.endDate;
  }
  
  public void setEndDate(String newEndDate) {
    this.endDate = newEndDate;
  }
  
  public String getDisabendDate() {
    return this.disabendDate;
  }
  
  public void setDisabendDate(String newDisabendDate) {
    this.disabendDate = newDisabendDate;
  }
  
  public ArrayList getArrHrmAttWrkGrpShift() {
    return this.arrHrmAttWrkGrpShift;
  }
  
  public void setArrHrmAttWrkGrpShift(ArrayList newArrHrmAttWrkGrpShift) {
    this.arrHrmAttWrkGrpShift = newArrHrmAttWrkGrpShift;
  }
  
  public String getSelectAll() {
    return this.selectAll;
  }
  
  public void setSelectAll(String newSelectAll) {
    this.selectAll = newSelectAll;
  }
  
  public String[] getShiftBeginDate() {
    return this.shiftBeginDate;
  }
  
  public void setShiftBeginDate(String[] newShiftBeginDate) {
    this.shiftBeginDate = newShiftBeginDate;
  }
  
  public String getDisabshiftBeginDate() {
    return this.disabshiftBeginDate;
  }
  
  public void setDisabshiftBeginDate(String newDisabshiftBeginDate) {
    this.disabshiftBeginDate = newDisabshiftBeginDate;
  }
  
  public String[] getShiftEndDate() {
    return this.shiftEndDate;
  }
  
  public void setShiftEndDate(String[] newShiftEndDate) {
    this.shiftEndDate = newShiftEndDate;
  }
  
  public String getDisabshiftEndDate() {
    return this.disabshiftEndDate;
  }
  
  public void setDisabshiftEndDate(String newDisabshiftEndDate) {
    this.disabshiftEndDate = newDisabshiftEndDate;
  }
  
  public String[] getShiftCode() {
    return this.shiftCode;
  }
  
  public void setShiftCode(String[] newShiftCode) {
    this.shiftCode = newShiftCode;
  }
  
  public String getDisabshiftCode() {
    return this.disabshiftCode;
  }
  
  public void setDisabshiftCode(String newDisabshiftCode) {
    this.disabshiftCode = newDisabshiftCode;
  }
  
  public String getWorkGroupId() {
    return this.workGroupId;
  }
  
  public void setWorkGroupId(String newWorkGroupId) {
    this.workGroupId = newWorkGroupId;
  }
  
  public String getSiteId() {
    return this.siteId;
  }
  
  public void setSiteId(String newSiteId) {
    this.siteId = newSiteId;
  }
  
  public String getDisabwrkGrpCode() {
    return this.disabwrkGrpCode;
  }
  
  public void setDisabwrkGrpCode(String newDisabwrkGrpCode) {
    this.disabwrkGrpCode = newDisabwrkGrpCode;
  }
  
  public String getButshiftBeginDate() {
    return this.butshiftBeginDate;
  }
  
  public void setButshiftBeginDate(String newButshiftBeginDate) {
    this.butshiftBeginDate = newButshiftBeginDate;
  }
  
  public String getDisabbutshiftBeginDate() {
    return this.disabbutshiftBeginDate;
  }
  
  public void setDisabbutshiftBeginDate(String newDisabbutshiftBeginDate) {
    this.disabbutshiftBeginDate = newDisabbutshiftBeginDate;
  }
  
  public String getButshiftEndDate() {
    return this.butshiftEndDate;
  }
  
  public void setButshiftEndDate(String newButshiftEndDate) {
    this.butshiftEndDate = newButshiftEndDate;
  }
  
  public String getDisabbutshiftEndDate() {
    return this.disabbutshiftEndDate;
  }
  
  public void setDisabbutshiftEndDate(String newDisabbutshiftEndDate) {
    this.disabbutshiftEndDate = newDisabbutshiftEndDate;
  }
  
  public String getButstartDate() {
    return this.butstartDate;
  }
  
  public void setButstartDate(String newButstartDate) {
    this.butstartDate = newButstartDate;
  }
  
  public String getDisabbutstartDate() {
    return this.disabbutstartDate;
  }
  
  public void setDisabbutstartDate(String newDisabbutstartDate) {
    this.disabbutstartDate = newDisabbutstartDate;
  }
  
  public String getButendDate() {
    return this.butendDate;
  }
  
  public void setButendDate(String newButendDate) {
    this.butendDate = newButendDate;
  }
  
  public String getDisabbutendDate() {
    return this.disabbutendDate;
  }
  
  public void setDisabbutendDate(String newDisabbutendDate) {
    this.disabbutendDate = newDisabbutendDate;
  }
  
  public String getDiasbbutstartDate() {
    return this.diasbbutstartDate;
  }
  
  public void setDiasbbutstartDate(String newDiasbbutstartDate) {
    this.diasbbutstartDate = newDiasbbutstartDate;
  }
  
  public String[] getShiftId() {
    return this.shiftId;
  }
  
  public void setShiftId(String[] newShiftId) {
    this.shiftId = newShiftId;
  }
  
  public String getDisabbutshiftCode() {
    return this.disabbutshiftCode;
  }
  
  public void setDisabbutshiftCode(String newDisabbutshiftCode) {
    this.disabbutshiftCode = newDisabbutshiftCode;
  }
  
  public String getWorkGroupCode() {
    return this.workGroupCode;
  }
  
  public void setWorkGroupCode(String newWorkGroupCode) {
    this.workGroupCode = newWorkGroupCode;
  }
  
  public String getButshiftCode() {
    return this.butshiftCode;
  }
  
  public void setButshiftCode(String newButshiftCode) {
    this.butshiftCode = newButshiftCode;
  }
}
